#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-refactor-plugin-1.1.0.0-4TyrGvzOmSbDLnPSV5xuAF
key:                  hls-refactor-plugin-1.1.0.0-4TyrGvzOmSbDLnPSV5xuAF
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  d64363a69c771a8ad68216a7f78cb753
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.1.0.0-4TyrGvzOmSbDLnPSV5xuAF
depends:
    aeson-2.1.2.1-GnWfeeQpoVOBig4HoIDDG9 base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-8E5NGoO1gLxEpVTFDWBmYU deepseq-1.4.5.0
    dlist-1.0-JalAZsGq1LOCqqdFHHEpoL extra-1.7.13-2HbyNcAy4YaYO3KF14Rpw
    ghc-9.0.2 ghc-boot-9.0.2
    ghc-exactprint-0.6.4-Gzgj74xpdgV4z6J6K3Qjkm
    ghcide-1.9.0.0-9vbxnkyw1ugAgvwj4TuhkH
    hls-graph-1.9.0.0-JZDwPCyRqnw4nnFgczPWjS
    hls-plugin-api-1.6.0.0-KYZAO7TVKWW8F7trnJ2cRB
    lens-5.2.3-502TyVqGvxTATE4UHV9fln
    lsp-1.6.0.0-88LIXO6i4cM6qo53ATJ9Up mtl-2.2.2
    regex-tdfa-1.3.2.2-21KLItrHKbUHkCP2A3SKNM
    retrie-1.1.0.0-KYxgbdOnDB7JlhBRh464jA
    syb-0.7.2.3-9kyift35DVr9NXNmdJlqpE text-1.2.5.0
    text-rope-0.2-3brLz4xQfIT9yf4GqliBOV time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-4LWMSZiig8M6j2saT8CDNm

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

